#!/bin/bash
#
# ClassVisualizer start script.
#
# This is a template, which can be copied and customized per project.
#
# invokation: clsvis.sh [-cp classpath_to_add] [path_to_import]
#
DIR=`dirname "$0"`
LIB_PATH="$DIR/clsvis.jar"

#
# Choose java - use JAVA_HOME, if set.
#
if [ "$JAVA_HOME" != "" ]; then
	JAVA="$JAVA_HOME/bin/java"
else
	JAVA="java"
fi

#
# Choose Look and Feel.
#
# modern one - Nimbus
LAF="com.sun.java.swing.plaf.nimbus.NimbusLookAndFeel"
# No explicit settings - java default
# MacOS - java default = system default
if [ `uname` == "Darwin" ]; then
    LAF=""
fi

#
# Final settings.
#
# Look and Feel
if [ "$LAF" != "" ]; then
	OPTS="-Dswing.defaultlaf=$LAF"
fi
# Memory
OPTS="$OPTS -Xmx384m -XX:MaxPermSize=192m"
# GC info
#OPTS="$OPTS -verbose:gc"

#
# Run.
#
CMD="$JAVA $OPTS -cp $LIB_PATH clsvis.gui.ClassVisualizer $@"
echo "$CMD"
$CMD
